function output = schroederReverb(x, k, fs)
% y = schroederReverb(x, k, fs)
%
% where x is the input signal, k is the number of allpass
% sections, and fs is the sampling rate.

g = 0.9;

output = x;
for i = 0:k-1
    M = ceil(0.1*fs / (3^i));
    output = schroederAllpass(output, M, g);
end